org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectOnCondition

All Superinterfaces:
  SelectBuilder.BuildSelect, SelectBuilder.SelectJoin, SelectBuilder.SelectLock

All Known Subinterfaces:
  SelectBuilder.SelectFromAndJoinCondition

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectOnCondition
    extends SelectBuilder.SelectJoin, SelectBuilder.SelectLock, SelectBuilder.BuildSelect

Builder exposing JOIN and `JOIN … ON` continuation methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectOnConditionComparison` `and(Expression column)` Declare an additional source column in the `JOIN`.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectJoin

`join, join, leftOuterJoin`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectLock

`lock`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.BuildSelect

`build`

### Method Detail

#### and

    SelectBuilder.SelectOnConditionComparison and(Expression column)

Declare an additional source column in the `JOIN`.

Parameters:
  `column` - the column, must not be null.
Returns:
  `this` builder.
See Also:
  `Table.column(String)`